Bug 763687 - (GLUSTER-1955) Redundant log messages when "peer detach" fails
Redundant log messages when "peer detach" fails
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: shishir gowda
Depends On:
  Show dependency treegraph
Reported: 2010-10-14 16:59 EDT by Vikas Gorur
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vikas Gorur 2010-10-14 16:59:58 EDT
[root@vikas_test02 etc]# gluster peer detach
Brick(s) with the peer exist in cluster
Detach unsuccessful
Detach failed

[root@vikas_test02 etc]# gluster peer detach is localhost
Detach unsuccessful
Detach failed

It is redundant to print "unsuccessful" and "failed". One of those messages is sufficient.
Comment 1 Anand Avati 2010-10-24 22:42:58 EDT
PATCH: http://patches.gluster.com/patch/5528 in master (Remove additional failure cli msg for peer detach)

Note You need to log in before you can comment on or make changes to this bug.